Bug 976512 - PackageKit-yum does not handle utf-8 searches: Error Type: Error Value: 'ascii' codec can't decode byte 0xc3 in position 4
PackageKit-yum does not handle utf-8 searches: Error Type: Error Value: 'asci...
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: PackageKit (Show other bugs)
19
x86_64 Linux
unspecified Severity unspecified
: ---
: ---
Assigned To: Richard Hughes
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-06-20 13:34 EDT by Sindre Wetjen
Modified: 2015-02-18 08:57 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-02-18 08:57:15 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Sindre Wetjen 2013-06-20 13:34:49 EDT
Description of problem:
When searching for packages Apper won't handle UTF-8 searches.


Version-Release number of selected component (if applicable):
PackageKit-0.8.9-5.fc19.x86_64
apper-0.8.1-0.3.20130511.fc19.x86_64

How reproducible:
Always

Steps to Reproduce:
1. Start Apper
2. Search for "Bokmål" (A variant of Norwegian)

Actual results:
Got Error from yum python backend

Expected results:
Find l1{0,8}n packages related to Norwegian

Additional info:
Backtrace:
Error Type: Error Value: 'ascii' codec can't decode byte 0xc3 in position 4: ordinal not in range(128) File : /usr/share/PackageKit/helpers/yum/yumBackend.py, line 3587, in main() File : /usr/share/PackageKit/helpers/yum/yumBackend.py, line 3584, in main backend.dispatcher(sys.argv[1:]) File : /usr/lib/python2.7/site-packages/packagekit/backend.py, line 710, in dispatcher self.dispatch_command(args[0], args[1:]) File : /usr/lib/python2.7/site-packages/packagekit/backend.py, line 673, in dispatch_command self.search_name(filters, values) File : /usr/share/PackageKit/helpers/yum/yumBackend.py, line 466, in search_name self._do_search(searchlist, filters, values) File : /usr/share/PackageKit/helpers/yum/yumBackend.py, line 413, in _do_search self._do_meta_package_search(filters, values) File : /usr/share/PackageKit/helpers/yum/yumBackend.py, line 391, in _do_meta_package_search if value in grpid:
Comment 1 Rex Dieter 2013-06-20 13:38:40 EDT
Same problem just using pkcon:

$ pkcon search name "Bokmål"
Searching by name             [=========================]         
Waiting in queue              [=========================]         
Starting                      [=========================]         
Querying                      [=========================]         
Fatal error: Error Type: <type 'exceptions.UnicodeDecodeError'>
Error Value: 'ascii' codec can't decode byte 0xc3 in position 4: ordinal not in range(128)
  File : /usr/share/PackageKit/helpers/yum/yumBackend.py, line 3587, in <module>
    main()
  File : /usr/share/PackageKit/helpers/yum/yumBackend.py, line 3584, in main
    backend.dispatcher(sys.argv[1:])
  File : /usr/lib/python2.7/site-packages/packagekit/backend.py, line 710, in dispatcher
    self.dispatch_command(args[0], args[1:])
  File : /usr/lib/python2.7/site-packages/packagekit/backend.py, line 673, in dispatch_command
    self.search_name(filters, values)
  File : /usr/share/PackageKit/helpers/yum/yumBackend.py, line 466, in search_name
    self._do_search(searchlist, filters, values)
  File : /usr/share/PackageKit/helpers/yum/yumBackend.py, line 413, in _do_search
    self._do_meta_package_search(filters, values)
  File : /usr/share/PackageKit/helpers/yum/yumBackend.py, line 391, in _do_meta_package_search
    if value in grpid:
Comment 2 Fedora End Of Life 2015-01-09 17:10:01 EST
This message is a notice that Fedora 19 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 19. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained. Approximately 4 (four) weeks from now this bug will
be closed as EOL if it remains open with a Fedora 'version' of '19'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 19 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 3 Fedora End Of Life 2015-02-18 08:57:15 EST
Fedora 19 changed to end-of-life (EOL) status on 2015-01-06. Fedora 19 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.